# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libICE-devel libSM-devel libXrandr-devel pkgconfig(gconf-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Summary:	Resolution Switching Applet
Name:		resapplet
Version:	0.1.4
Release:	alt1_7
License:	GPLv2+ and GPLv2
# This is the best we have to silence rpmlint:
URL:		http://svn.gnome.org/viewcvs/resapplet/
Group:		Graphical desktop/Other
# Source obtained from OpenSuSE
Source:		resapplet-%{version}.tar.bz2
Source1:	resapplet.desktop.in
Patch1:		resapplet-transparent-trayicon.patch
Patch2:		resapplet-susebug25115.patch
Patch3:		resapplet-rotate-wacom.patch
Patch4:		resapplet-0.1.1-link_X11.patch
Patch5:		resapplet-0.1.4-properties.patch
BuildRequires:	gnome-icon-theme gnome-themes-default libgnomeui-devel
BuildRequires:	intltool automake gettext desktop-file-utils
Requires:	libgnomeui >= 2.2 gtk2 >= 2.4
#Requires: gconf-editor >= 2.6 
Requires:	gnome-icon-theme
Source44: import.info

%description
Resapplet is a simple utility that sits in the system notification area
and allows switching the resolution and refresh rate.  It uses the
xrandr extensions to switch the resolution on-the-fly and user
resolution preferences to save the resolution.

It works in both GNOME and KDE, because it uses the system notification
area.

%prep
%setup -q 
cp -a %{S:1} . 
%patch1 -p0
%patch2 -p0
%patch3 -p1 -b .wacom
%patch4 -p1 -b .lX11
%patch5 -p1

%build
#glib-gettextize
aclocal
intltoolize --force
autoheader
automake --add-missing
autoconf
export CFLAGS="$RPM_OPT_FLAGS"

%configure	--datadir=%{_datadir} \
		--libdir=%{_libdir} \
		--localstatedir=%{_libdir} \
		--prefix=%{_prefix}
make


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-category Utility					\
	--add-category X-Red-Hat-Base				\
	$RPM_BUILD_ROOT%{_datadir}/applications/resapplet.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
# install autostart file
cp $RPM_BUILD_ROOT%{_datadir}/applications/fedora-resapplet.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
%find_lang %name

%post
touch --no-create %{_datadir}/pixmaps/hicolor || :

%postun
touch --no-create %{_datadir}/pixmaps/hicolor || :

%files -f %name.lang
%doc COPYING README
%{_bindir}/resapplet
%{_datadir}/applications/fedora-resapplet.desktop
%{_datadir}/gnome/autostart/fedora-resapplet.desktop
%{_datadir}/icons/hicolor/16x16/apps/resapplet.png
%{_datadir}/icons/hicolor/22x22/apps/resapplet.png
%{_datadir}/icons/hicolor/24x24/apps/resapplet.png
%{_datadir}/icons/hicolor/32x32/apps/resapplet.png
%{_datadir}/icons/hicolor/scalable/apps/resapplet.svg

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_7
- initial fc import

